#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  FLAC-1.3.3

- Next

  gavl-1.4.0

- Up
- Home

# frei0r-plugins-1.7.0

## Introduction to Frei0r-plugins

Frei0r is a minimalistic plugin API for video effects. Note that the 0 in the name is a zero, not a capital letter o.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://files.dyne.org/frei0r/releases/frei0r-plugins-1.7.0.tar.gz

- Download MD5 sum: 78a7c7511cbda93013147563dc7a3618

- Download size: 1.2 MB

- Estimated disk space required: 39 MB

- Estimated build time: 0.1 SBU

### Frei0r-plugins Dependencies

#### Recommended

gavl-1.4.0

#### Optional

Doxygen-1.9.1 and opencv-4.5.1 (currently broken)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/frei0r

## Installation of Frei0r-plugins

Install Frei0r by running the following commands:

    mkdir -vp build &&
    cd        build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -DWITHOUT_OPENCV=TRUE       \
          -Wno-dev ..                 &&

    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DWITHOUT_OPENCV=TRUE`: This option instructs the make procedure to disable building plugins dependent upon opencv.

`-DWITHOUT_GAVL=TRUE`: This option instructs the make procedure to disable building plugins dependent upon gavl.

## Contents

Installed Program: None
Installed Libraries: Over 130 video effects plugins
Installed Directories: /usr/lib/frei0r-1

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  FLAC-1.3.3

- Next

  gavl-1.4.0

- Up
- Home